import { EventEmitter } from '@angular/core';
import { Icon } from '../../../../enum/icon.enum';
import { IconCacheService } from '../../../../service/icon-cache.service';
import { Planning } from '@colijnit/transactionapi/build/model/planning.bo';
import { DeliveryPlanningService } from '../../../delivery-planning/service/delivery-planning.service';
import { DeliveryPlanningViewModes } from '../../../../enum/delivery-planning-view-modes.enum';
export declare class DeliveryPlanningSelectionComponent {
    iconCacheService: IconCacheService;
    deliveryPlanningService: DeliveryPlanningService;
    readonly icons: typeof Icon;
    readonly deliveryPlanningViewModes: typeof DeliveryPlanningViewModes;
    planningChangeEvent: EventEmitter<Planning>;
    fullscreenEvent: EventEmitter<void>;
    expanded: boolean;
    get plannings(): Planning[];
    get currentPlanning(): Planning;
    get currentViewMode(): DeliveryPlanningViewModes;
    set currentPlanning(planning: Planning);
    showClass(): boolean;
    constructor(iconCacheService: IconCacheService, deliveryPlanningService: DeliveryPlanningService);
    planningChange(planning: Planning): void;
    fullscreenToggled(): void;
}
